# home-manager configuration for Emacs
{lib, pkgs, ...}:
let
  emacs-config = builtins.fetchGit {
    url = "git@git.nirgendwo.xyz:janis/dot-emacs.git";
    ref = "main";
    rev = "39d889549f2b0b5c5392852daa862437e080a710";
  };
in {
  home.packages = with pkgs; [
    emacs
    enchant # spell checking
    ripgrep # for Emacs' ripgrep integration
    libvterm-neovim # vterm support for Emacs
    nodejs_24
    copilot-language-server-fhs
    cmake
    gcc
    tree-sitter
    texlive.combined.scheme-full
    # tree-sitter-grammars.tree-sitter-c
    # tree-sitter-grammars.tree-sitter-cpp
    # tree-sitter-grammars.tree-sitter-zig
    # tree-sitter-grammars.tree-sitter-nix
    # tree-sitter-grammars.tree-sitter-toml
    # tree-sitter-grammars.tree-sitter-wgsl
    # tree-sitter-grammars.tree-sitter-rust
    # tree-sitter-grammars.tree-sitter-bash
    # tree-sitter-grammars.tree-sitter-elisp
    # tree-sitter-grammars.tree-sitter-markdown
  ];
  # xdg.configFile = {
  #   "emacs" = {
  #     source = emacs-config;
  #   };
  # };
}
